function f = adj_wav_trans(g,psi,phi)

% Adjoint transformation of the wavelet transform
% psi and phi are the complex conjugates of the wavelets

N = size(psi,2) ;
gg = fft(g,[],2) ;

f = ifft(sum(gg(:,1:N).*[psi;phi],1),[],2) / 2 ;